---
lang: en
title: 'API docs: context.inspecttargettype'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.inspecttargettype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [inspectTargetType](./context.inspecttargettype.md)

## inspectTargetType() function

Inspect the target type for the injection to find out the corresponding JavaScript type

<b>Signature:</b>

```typescript
export declare function inspectTargetType(injection: Readonly<Injection>): Function;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  injection | <code>Readonly&lt;Injection&gt;</code> | Injection information |

<b>Returns:</b>

`Function`


